package cz.kebrt.unitcheck.test;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Ignore;
import org.junit.Test;

public class OverallTest {

    @BeforeClass
    public static void runBeforeClass() {
        System.out.println("run before class");
    }

    @AfterClass
    public static void runAfterClass() throws Exception {
        System.out.println("run after class");
        throw new Exception("DD");
    }

    @Before
    public void runBeforeEveryTest() {
        System.out.println("run before every test");
    }

    @After
    public void runAfterEveryTest() {
        System.out.println("run after every test");
    }

    @Test(expected = IllegalArgumentException.class)
    public void test1() {
        throw new IllegalArgumentException();
    }

    @Test
    public void test2() {
        System.out.println(System.nanoTime());
    }

    /*
     * @Test(timeout=1) public void test2() { for (int i = 0; i < 10; ++i) {}
     * System.out.println(System.nanoTime()); }
     */

    @Ignore
    @Test
    public void test3() {

    }

}
