package cz.kebrt.unitcheck.test;

import static org.junit.Assert.assertEquals;

import org.junit.Test;

public class SimpleMath {
    public static double add(double a, double b) {
        return a + b;
    }

    public static double divide(double a, double b) {
        if (b == 0) {
            throw new ArithmeticException("Division by zero");
        }
        return a / b;
    }
}

class SimpleMathTest {
    @Test
    public void addition() {
        assertEquals(12, SimpleMath.add(7, 5), 0);
    }

    @Test(expected = ArithmeticException.class)
    public void divisionWithException() {
        SimpleMath.divide(1, 0);
    }
}