package cz.kebrt.unitcheck.api.data;

/**
 * Generic description. It is used for a description of a test method and for detailed
 * descriptions of failures.
 */
public class Description {

    private final String desc;

    /**
     * Creates an instance.
     *
     * @param desc string description
     */
    public Description(String desc) {
        super();
        this.desc = desc;
    }

    /**
     * Returns description as a string.
     *
     * @return description as a string
     */
    public String getAsString() {
        return desc;
    }

}
